# Uses of Class
org.eclipse.swt.widgets.Display

Packages that use Display
Package
Description
org.eclipse.rap.rwt
org.eclipse.rap.rwt.application
org.eclipse.rap.rwt.widgets
org.eclipse.swt.custom
org.eclipse.swt.dnd
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of Display in org.eclipse.rap.rwt

Methods in org.eclipse.rap.rwt with parameters of type Display
Modifier and Type
Method
Description
`static UISession`
RWT.`getUISession(Display display)`
Returns the UI session that is associated with the given display.

## Uses of Display in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application with parameters of type Display
Modifier and Type
Method
Description
`protected Shell`
AbstractEntryPoint.`createShell(Display display)`
Creates the main shell for this entrypoint.

## Uses of Display in org.eclipse.rap.rwt.widgets

Constructors in org.eclipse.rap.rwt.widgets with parameters of type Display
Modifier
Constructor
Description
``
`ClusteredSynchronizer(Display display)`

## Uses of Display in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type Display
Modifier and Type
Method
Description
`static void`
BusyIndicator.`showWhile(Display display, Runnable runnable)`
Runs the given `Runnable` while providing busy feedback using this busy indicator.

## Uses of Display in org.eclipse.swt.dnd

Constructors in org.eclipse.swt.dnd with parameters of type Display
Modifier
Constructor
Description
``
`Clipboard(Display display)`
Constructs a new instance of this class.

## Uses of Display in org.eclipse.swt.events

Fields in org.eclipse.swt.events declared as Display
Modifier and Type
Field
Description
`Display`
TypedEvent.`display`
the display where the event occurred

## Uses of Display in org.eclipse.swt.widgets

Fields in org.eclipse.swt.widgets declared as Display
Modifier and Type
Field
Description
`Display`
Event.`display`
the display where the event occurred
Methods in org.eclipse.swt.widgets that return Display
Modifier and Type
Method
Description
`static Display`
Display.`findDisplay(Thread thread)`
Returns the display which the given thread is the user-interface thread for, or null if the given thread is not a user-interface thread for any display.
`static Display`
Display.`getCurrent()`
Returns the display which the currently running thread is the user-interface thread for, or null if the currently running thread is not a user-interface thread for any display.
`static Display`
Display.`getDefault()`
Returns the default display.
`Display`
Widget.`getDisplay()`
Returns the `Display` that is associated with the receiver.
Constructors in org.eclipse.swt.widgets with parameters of type Display
Modifier
Constructor
Description
``
`Shell(Display display)`
Constructs a new instance of this class given only the display to create it on.
``
`Shell(Display display, int style)`
Constructs a new instance of this class given the display to create it on and a style value describing its behavior and appearance.
``
`Synchronizer(Display display)`
Constructs a new instance of this class.